Retrieve Role by ID

Retrieves details of a Role by its ID.

GET
/v2/manage/roles/{id}

Retrieves details of a Role by its ID.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Path Parameters

id*string

Role ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/v2/manage/roles/role_2enk23n3"
{
  "Id": "role_dsag432d",
  "Name": "Admin",
  "Description": "Admin Role",
  "Level": "org",
  "OrgId": "org_fasf432d",
  "OriginalName": "Admin",
  "Permissions": [
    {
      "ID": "perm_2enk23n3",
      "Name": "read:users",
      "Description": "Read users data",
      "OriginalName": "read:users",
      "ResourceId": "507f1f77bcf86cd799439011"
    }
  ],
  "CreatedDate": "2023-10-01T00:00:00Z",
  "ModifiedDate": "2023-10-01T00:00:00Z"
}

{
  "ErrorCode": 8126,
  "Message": "Role id is required",
  "Description": "Role id is required, Please provide Role id."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "ErrorCode": 8125,
  "Message": "Role does not exist",
  "Description": "Role does not exist, Please provide valid Role id."
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}